{% extends "users/userspace.html" %}

{% block content %}

<div class="container mt-5">
        
    <h1>{{product.nom}}</h1>
        
    {% if product.archive %}
        <div class="alert alert-warning" role="alert">
            Ce produit est archivé.
        </div>
    {% endif %}

    <div class="table-responsive">
        <table class="table align-middle">
            <tr>
                <td>
                    Nom :
                </td>
                <td>
                    {{product.nom}}
                </td>
            </tr>
            <tr>
                <td>
                    Ferme :
                </td>
                <td>
                    <a href="{% url 'farm_details_admin' product.ferme.id %}"
                                   target="_blank">
                    {{ product.ferme.nom }}
                    </a>
                </td>
            </tr>
            <tr>
                <td>
                    Tarif de référence :
                </td>
                <td>
                    {{ product.tarif_reference|floatformat:2 }} €
                </td>
            </tr>
            <tr>
                <td>
                    Quantité de référence :
                </td>
                <td>
                    {{ product.quantite_reference }}
                </td>
            </tr>
            <tr>
                <td>
                    Fréquences de livraison :
                </td>
                <td>
                    <ul>
                        
                    {% for frequence in product.get_frequences_display %}
                        <li>{{ frequence }}</li>
                    {% endfor %}
                    </ul>
                </td>
            </tr>
        </table>
    </div>

    <h3 class="mt-3">Inscriptions Produits</h3>

    <div class="table-responsive">
        <table class="table table-striped table-hover align-middle">
            <thead>
            <tr>
                <th class="pe-1">
                    Distribution
                </th>
                <th class="pe-1">
                    Unités restantes
                </th>
                <th class="pe-1">
                    Signatures
                </th>
                <th class="pe-1">
                    Livraison unique ?
                </th>
                <th class="pe-1">
                    Actions
                </th>
            </tr>
            </thead>
            <tbody>
            {% for inscription in inscriptions %}
            <tr>
                <td class="pe-1">
                    <a href="{% url 'delivery_details_admin' inscription.distribution.id %}"
                                   target="_blank">
                    {{ inscription.distribution.date_heure|date:"d/m/Y à H:i" }}
                    </a>
                </td>
                <td class="pe-1">
                    {% if inscription.unites_restantes == 0 %}
                    <span class="badge badge-pill bg-danger">Épuisé</span>
                    {% else %}
                    {{ inscription.unites_restantes }}
                    {% endif %}
                    
                </td>
                <td class="pe-1">
                    {% if inscription.signature_amap and inscription.signature_ferme %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
                <td class="pe-1">
                    {% if inscription.livraison_unique %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
                <td class="pe-1">
                    <a type="button" class="btn btn-link" href="{% url 'product_registration_details_admin' inscription.id %}">
                        <i class="fas fa-search me-1"></i>Details
                    </a>
                </td>
            </tr>
        {% endfor %}
        {% if inscriptions|length == 0 %}
        <tr>
            <td colspan="5" class="text-center">
            Aucun résultat
            </td>
        </tr>
        {% endif %}
            </tbody>
        </table>
    </div>
    {% pagination_widget page_obj request %}
</div>
{% endblock %}